
Redmine - Feature #1776

User Gravatar support

2008-08-12 18:00 - Ismail SEZEN

Status: Closed Start date: 2008-08-12

Priority: Low Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

Perhaps it's not a big issue but it will be good to see a small picture of friends instead of name. For instance at the;

Administrator -> User List

Overview -> Members Location

Repository -View Revisions page

or Something like that. It may be unnecessary for small projects but in my opinion, good idea for big projects. Perhaps, may be

optional field. I'd like to see picture of the team members in the Redmine. :)

Associated revisions

Revision 1970 - 2008-10-31 01:09 - Eric Davis

Tweaking of the CSS for the gravatars. #1776

Revision 1972 - 2008-10-31 01:41 - Eric Davis

Added an option to turn user Gravatars on or off

Option can be found in Administration > General, called

"Use Gravatar user icons"

Defaulting Gravatars to off

Added a helper gravatar_for_mail to check the setting before rendering

the Gravatar.   

#1776

History

#1 - 2008-08-12 18:35 - Eric Davis

- Target version deleted (0.8)

What about using Gravatars?

Examples:

https://projects.littlestreamsoftware.com/projects/activity/redmine-timesheet?from=2008-08-13

https://projects.littlestreamsoftware.com/account/show/1

https://projects.littlestreamsoftware.com/issues/show/1452

#2 - 2008-10-30 03:57 - Eric Davis

- Subject changed from User Picture to User Gravatar support

- Status changed from New to Closed

- Target version set to 0.8

- % Done changed from 0 to 100

- Resolution changed from Duplicate to Fixed

Gravatar support was just added in r1962 through r1967.  Wynn Netherland did most of the implementation in his Redmine fork, I just pulled it into the

core svn.
Gravatars are tied to the email address of the user and can be seen at:

Account page - /account/show/n

Activity pages - /projects/activity/n

Issue details - /issues/show/n

User administration - /users

#3 - 2008-10-30 11:30 - Digital Base

could anyone tell me howto activate this ?

i tried

ruby script/plugin install svn://rubyforge.org//var/svn/gravatarplugin/plugins/gravatar

 And then i restarted the mongrel cluster. But i don't see any new "gravatar" functionality, or an ability to set a gravatar.

#4 - 2008-10-30 11:48 - Digital Base

ok, i got it using the migrate_plugins task.

Is there anyway the gravatar could be added on changesets too ?

#5 - 2008-10-30 11:48 - Denis Tomashenko

- Status changed from Closed to Reopened

- Assignee set to Eric Davis

How to disable gravatar support? Or need disabled gravatar by default.

And I think need rework stylesheet for gravatar image. Looks awful...

#6 - 2008-10-30 16:36 - Eric Davis

Digital Base wrote:

could anyone tell me howto activate this ?

 The plugin is already included in r1962, do you see a directory vendor/plugins/gravatar?

Denis Tomashenko wrote:

How to disable gravatar support? Or need disabled gravatar by default.

 We could add a system option for that.

And I think need rework stylesheet for gravatar image. Looks awful...

 A patch for making the style less "awful" is welcome.

#7 - 2008-10-30 17:35 - Sergej Jegorov

Denis Tomashenko wrote:

How to disable gravatar support? Or need disabled gravatar by default.

 +1

And I think need rework stylesheet for gravatar image. Looks awful...

#8 - 2008-10-30 18:46 - Karl Heinz Marbaise

Hi there,

Denis Tomashenko wrote:

How to disable gravatar support? Or need disabled gravatar by default.

 +1
#9 - 2008-10-30 18:52 - Denis Tomashenko

Eric Davis wrote:

We could add a system option for that.

 A patch for making the style less "awful" is welcome.

 Thanks for your work.

#10 - 2008-10-30 22:08 - Denis Tomashenko

I'm not sure... I'm use Redmine as user, but not as developer.

First! (for future patch) must be rework vertical-align for avatar image (align=absmiddle). This is main problem. All other - this is trivia.

#11 - 2008-10-31 01:13 - Eric Davis

I've tweaked the CSS for the gravatar images on the issue list to:

to make the assigned to image smaller

Move the issue history images below the header

general tightening up of spare pixels on the page

r1970 r1971

#12 - 2008-10-31 01:34 - Eric Davis

- Status changed from Reopened to Closed

- Assignee deleted (Eric Davis)

I've added an option to turn Gravatars on or off in Administration > General now, defaults to off.  r1972

#13 - 2008-10-31 02:55 - Wynn Netherland

Eric Davis wrote:

I've added an option to turn Gravatars on or off in Administration > General now, defaults to off.  r1972

 Hi, Eric,

Were you wanting different styling than I had implemented or was it a matter of getting all the styles over cleanly?

http://www.redmine.org/attachments/1059/gravatars_in_redmine.png

http://www.redmine.org/attachments/1060/gravatars_issue_header.png

Thanks for adding this feature,

Wynn
